/*
 * Copyright 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// VERSION: v0_64
// GENERATED CODE - DO NOT MODIFY BY HAND

package androidx.wear.protolayout.material3.tokens;

import android.graphics.Color;
import androidx.annotation.ColorInt;
import androidx.annotation.RestrictTo;
import androidx.annotation.RestrictTo.Scope;

/** Reference color palette. */
@RestrictTo(Scope.LIBRARY)
public final class PaletteTokens {
  @ColorInt public static final int ERROR0 = Color.rgb(/* red= */ 0, /* green= */ 0, /* blue= */ 0);

  @ColorInt
  public static final int ERROR10 = Color.rgb(/* red= */ 65, /* green= */ 14, /* blue= */ 11);

  @ColorInt
  public static final int ERROR100 = Color.rgb(/* red= */ 255, /* green= */ 255, /* blue= */ 255);

  @ColorInt
  public static final int ERROR20 = Color.rgb(/* red= */ 96, /* green= */ 20, /* blue= */ 16);

  @ColorInt
  public static final int ERROR30 = Color.rgb(/* red= */ 140, /* green= */ 29, /* blue= */ 24);

  @ColorInt
  public static final int ERROR40 = Color.rgb(/* red= */ 179, /* green= */ 38, /* blue= */ 30);

  @ColorInt
  public static final int ERROR5 = Color.rgb(/* red= */ 33, /* green= */ 7, /* blue= */ 6);

  @ColorInt
  public static final int ERROR50 = Color.rgb(/* red= */ 220, /* green= */ 54, /* blue= */ 46);

  @ColorInt
  public static final int ERROR60 = Color.rgb(/* red= */ 228, /* green= */ 105, /* blue= */ 98);

  @ColorInt
  public static final int ERROR65 = Color.rgb(/* red= */ 232, /* green= */ 126, /* blue= */ 120);

  @ColorInt
  public static final int ERROR70 = Color.rgb(/* red= */ 236, /* green= */ 146, /* blue= */ 142);

  @ColorInt
  public static final int ERROR80 = Color.rgb(/* red= */ 242, /* green= */ 184, /* blue= */ 181);

  @ColorInt
  public static final int ERROR85 = Color.rgb(/* red= */ 245, /* green= */ 203, /* blue= */ 200);

  @ColorInt
  public static final int ERROR90 = Color.rgb(/* red= */ 249, /* green= */ 222, /* blue= */ 220);

  @ColorInt
  public static final int ERROR95 = Color.rgb(/* red= */ 252, /* green= */ 238, /* blue= */ 238);

  @ColorInt
  public static final int NEUTRAL0 = Color.rgb(/* red= */ 0, /* green= */ 0, /* blue= */ 0);

  @ColorInt
  public static final int NEUTRAL10 = Color.rgb(/* red= */ 29, /* green= */ 26, /* blue= */ 38);

  @ColorInt
  public static final int NEUTRAL100 = Color.rgb(/* red= */ 255, /* green= */ 255, /* blue= */ 255);

  @ColorInt
  public static final int NEUTRAL15 = Color.rgb(/* red= */ 39, /* green= */ 36, /* blue= */ 48);

  @ColorInt
  public static final int NEUTRAL20 = Color.rgb(/* red= */ 51, /* green= */ 46, /* blue= */ 60);

  @ColorInt
  public static final int NEUTRAL30 = Color.rgb(/* red= */ 73, /* green= */ 68, /* blue= */ 83);

  @ColorInt
  public static final int NEUTRAL40 = Color.rgb(/* red= */ 97, /* green= */ 92, /* blue= */ 107);

  @ColorInt
  public static final int NEUTRAL50 = Color.rgb(/* red= */ 122, /* green= */ 116, /* blue= */ 132);

  @ColorInt
  public static final int NEUTRAL60 = Color.rgb(/* red= */ 148, /* green= */ 142, /* blue= */ 159);

  @ColorInt
  public static final int NEUTRAL70 = Color.rgb(/* red= */ 175, /* green= */ 168, /* blue= */ 185);

  @ColorInt
  public static final int NEUTRAL80 = Color.rgb(/* red= */ 203, /* green= */ 195, /* blue= */ 213);

  @ColorInt
  public static final int NEUTRAL90 = Color.rgb(/* red= */ 232, /* green= */ 223, /* blue= */ 242);

  @ColorInt
  public static final int NEUTRAL95 = Color.rgb(/* red= */ 246, /* green= */ 237, /* blue= */ 255);

  @ColorInt
  public static final int NEUTRAL_VARIANT0 = Color.rgb(/* red= */ 0, /* green= */ 0, /* blue= */ 0);

  @ColorInt
  public static final int NEUTRAL_VARIANT10 =
      Color.rgb(/* red= */ 29, /* green= */ 26, /* blue= */ 35);

  @ColorInt
  public static final int NEUTRAL_VARIANT100 =
      Color.rgb(/* red= */ 255, /* green= */ 255, /* blue= */ 255);

  @ColorInt
  public static final int NEUTRAL_VARIANT20 =
      Color.rgb(/* red= */ 50, /* green= */ 47, /* blue= */ 56);

  @ColorInt
  public static final int NEUTRAL_VARIANT30 =
      Color.rgb(/* red= */ 73, /* green= */ 69, /* blue= */ 79);

  @ColorInt
  public static final int NEUTRAL_VARIANT40 =
      Color.rgb(/* red= */ 97, /* green= */ 93, /* blue= */ 103);

  @ColorInt
  public static final int NEUTRAL_VARIANT50 =
      Color.rgb(/* red= */ 122, /* green= */ 117, /* blue= */ 128);

  @ColorInt
  public static final int NEUTRAL_VARIANT60 =
      Color.rgb(/* red= */ 148, /* green= */ 143, /* blue= */ 154);

  @ColorInt
  public static final int NEUTRAL_VARIANT70 =
      Color.rgb(/* red= */ 175, /* green= */ 169, /* blue= */ 181);

  @ColorInt
  public static final int NEUTRAL_VARIANT80 =
      Color.rgb(/* red= */ 202, /* green= */ 196, /* blue= */ 208);

  @ColorInt
  public static final int NEUTRAL_VARIANT90 =
      Color.rgb(/* red= */ 231, /* green= */ 224, /* blue= */ 236);

  @ColorInt
  public static final int NEUTRAL_VARIANT95 =
      Color.rgb(/* red= */ 245, /* green= */ 238, /* blue= */ 251);

  @ColorInt
  public static final int PRIMARY0 = Color.rgb(/* red= */ 0, /* green= */ 0, /* blue= */ 0);

  @ColorInt
  public static final int PRIMARY10 = Color.rgb(/* red= */ 33, /* green= */ 15, /* blue= */ 72);

  @ColorInt
  public static final int PRIMARY100 = Color.rgb(/* red= */ 255, /* green= */ 255, /* blue= */ 255);

  @ColorInt
  public static final int PRIMARY20 = Color.rgb(/* red= */ 55, /* green= */ 38, /* blue= */ 94);

  @ColorInt
  public static final int PRIMARY30 = Color.rgb(/* red= */ 77, /* green= */ 61, /* blue= */ 118);

  @ColorInt
  public static final int PRIMARY40 = Color.rgb(/* red= */ 102, /* green= */ 85, /* blue= */ 144);

  @ColorInt
  public static final int PRIMARY50 = Color.rgb(/* red= */ 127, /* green= */ 109, /* blue= */ 170);

  @ColorInt
  public static final int PRIMARY60 = Color.rgb(/* red= */ 153, /* green= */ 135, /* blue= */ 198);

  @ColorInt
  public static final int PRIMARY70 = Color.rgb(/* red= */ 180, /* green= */ 161, /* blue= */ 226);

  @ColorInt
  public static final int PRIMARY80 = Color.rgb(/* red= */ 208, /* green= */ 188, /* blue= */ 255);

  @ColorInt
  public static final int PRIMARY90 = Color.rgb(/* red= */ 233, /* green= */ 221, /* blue= */ 255);

  @ColorInt
  public static final int PRIMARY95 = Color.rgb(/* red= */ 246, /* green= */ 237, /* blue= */ 255);

  @ColorInt
  public static final int SECONDARY0 = Color.rgb(/* red= */ 0, /* green= */ 0, /* blue= */ 0);

  @ColorInt
  public static final int SECONDARY10 = Color.rgb(/* red= */ 30, /* green= */ 24, /* blue= */ 46);

  @ColorInt
  public static final int SECONDARY100 =
      Color.rgb(/* red= */ 255, /* green= */ 255, /* blue= */ 255);

  @ColorInt
  public static final int SECONDARY20 = Color.rgb(/* red= */ 51, /* green= */ 45, /* blue= */ 68);

  @ColorInt
  public static final int SECONDARY30 = Color.rgb(/* red= */ 74, /* green= */ 67, /* blue= */ 91);

  @ColorInt
  public static final int SECONDARY40 = Color.rgb(/* red= */ 98, /* green= */ 90, /* blue= */ 116);

  @ColorInt
  public static final int SECONDARY50 =
      Color.rgb(/* red= */ 123, /* green= */ 115, /* blue= */ 141);

  @ColorInt
  public static final int SECONDARY60 =
      Color.rgb(/* red= */ 150, /* green= */ 140, /* blue= */ 168);

  @ColorInt
  public static final int SECONDARY70 =
      Color.rgb(/* red= */ 177, /* green= */ 167, /* blue= */ 195);

  @ColorInt
  public static final int SECONDARY80 =
      Color.rgb(/* red= */ 204, /* green= */ 194, /* blue= */ 223);

  @ColorInt
  public static final int SECONDARY90 =
      Color.rgb(/* red= */ 233, /* green= */ 222, /* blue= */ 252);

  @ColorInt
  public static final int SECONDARY95 =
      Color.rgb(/* red= */ 246, /* green= */ 237, /* blue= */ 255);

  @ColorInt
  public static final int TERTIARY0 = Color.rgb(/* red= */ 0, /* green= */ 0, /* blue= */ 0);

  @ColorInt
  public static final int TERTIARY10 = Color.rgb(/* red= */ 46, /* green= */ 21, /* blue= */ 0);

  @ColorInt
  public static final int TERTIARY100 =
      Color.rgb(/* red= */ 255, /* green= */ 255, /* blue= */ 255);

  @ColorInt
  public static final int TERTIARY20 = Color.rgb(/* red= */ 76, /* green= */ 39, /* blue= */ 0);

  @ColorInt
  public static final int TERTIARY30 = Color.rgb(/* red= */ 108, /* green= */ 58, /* blue= */ 3);

  @ColorInt
  public static final int TERTIARY40 = Color.rgb(/* red= */ 136, /* green= */ 81, /* blue= */ 27);

  @ColorInt
  public static final int TERTIARY50 = Color.rgb(/* red= */ 165, /* green= */ 105, /* blue= */ 49);

  @ColorInt
  public static final int TERTIARY60 = Color.rgb(/* red= */ 195, /* green= */ 130, /* blue= */ 72);

  @ColorInt
  public static final int TERTIARY70 = Color.rgb(/* red= */ 226, /* green= */ 156, /* blue= */ 95);

  @ColorInt
  public static final int TERTIARY80 = Color.rgb(/* red= */ 255, /* green= */ 183, /* blue= */ 122);

  @ColorInt
  public static final int TERTIARY90 = Color.rgb(/* red= */ 255, /* green= */ 220, /* blue= */ 194);

  @ColorInt
  public static final int TERTIARY95 = Color.rgb(/* red= */ 255, /* green= */ 238, /* blue= */ 226);

  private PaletteTokens() {}
}
