/*
 * Copyright 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// VERSION: v0_64
// GENERATED CODE - DO NOT MODIFY BY HAND

package androidx.wear.protolayout.material3.tokens;

import androidx.annotation.RestrictTo;
import androidx.annotation.RestrictTo.Scope;
import androidx.wear.protolayout.LayoutElementBuilders.FontSetting;
import java.util.List;

/** A list of text style values in Material3 for supporting product needs. */
@RestrictTo(Scope.LIBRARY)
@SuppressWarnings("JdkImmutableCollections")
public final class VariableFontSettingsTokens {

  public static final List<FontSetting> ARC_MEDIUM_VARIATION_SETTINGS =
      List.of(TypeScaleTokens.ARC_MEDIUM_WEIGHT, TypeScaleTokens.ARC_MEDIUM_WIDTH);

  public static final List<FontSetting> ARC_SMALL_VARIATION_SETTINGS =
      List.of(TypeScaleTokens.ARC_SMALL_WEIGHT, TypeScaleTokens.ARC_SMALL_WIDTH);

  public static final List<FontSetting> BODY_EXTRA_SMALL_VARIATION_SETTINGS =
      List.of(TypeScaleTokens.BODY_EXTRA_SMALL_WEIGHT, TypeScaleTokens.BODY_EXTRA_SMALL_WIDTH);

  public static final List<FontSetting> BODY_LARGE_VARIATION_SETTINGS =
      List.of(TypeScaleTokens.BODY_LARGE_WEIGHT, TypeScaleTokens.BODY_LARGE_WIDTH);

  public static final List<FontSetting> BODY_MEDIUM_VARIATION_SETTINGS =
      List.of(TypeScaleTokens.BODY_MEDIUM_WEIGHT, TypeScaleTokens.BODY_MEDIUM_WIDTH);

  public static final List<FontSetting> BODY_SMALL_VARIATION_SETTINGS =
      List.of(TypeScaleTokens.BODY_SMALL_WEIGHT, TypeScaleTokens.BODY_SMALL_WIDTH);

  public static final List<FontSetting> DISPLAY_LARGE_VARIATION_SETTINGS =
      List.of(TypeScaleTokens.DISPLAY_LARGE_WEIGHT, TypeScaleTokens.DISPLAY_LARGE_WIDTH);

  public static final List<FontSetting> DISPLAY_MEDIUM_VARIATION_SETTINGS =
      List.of(TypeScaleTokens.DISPLAY_MEDIUM_WEIGHT, TypeScaleTokens.DISPLAY_MEDIUM_WIDTH);

  public static final List<FontSetting> DISPLAY_SMALL_VARIATION_SETTINGS =
      List.of(TypeScaleTokens.DISPLAY_SMALL_WEIGHT, TypeScaleTokens.DISPLAY_SMALL_WIDTH);

  public static final List<FontSetting> LABEL_LARGE_VARIATION_SETTINGS =
      List.of(TypeScaleTokens.LABEL_LARGE_WEIGHT, TypeScaleTokens.LABEL_LARGE_WIDTH);

  public static final List<FontSetting> LABEL_MEDIUM_VARIATION_SETTINGS =
      List.of(TypeScaleTokens.LABEL_MEDIUM_WEIGHT, TypeScaleTokens.LABEL_MEDIUM_WIDTH);

  public static final List<FontSetting> LABEL_SMALL_VARIATION_SETTINGS =
      List.of(TypeScaleTokens.LABEL_SMALL_WEIGHT, TypeScaleTokens.LABEL_SMALL_WIDTH);

  public static final List<FontSetting> NUMERAL_EXTRA_LARGE_VARIATION_SETTINGS =
      List.of(
          FontSetting.tabularNum(),
          TypeScaleTokens.NUMERAL_EXTRA_LARGE_WEIGHT,
          TypeScaleTokens.NUMERAL_EXTRA_LARGE_WIDTH);

  public static final List<FontSetting> NUMERAL_EXTRA_SMALL_VARIATION_SETTINGS =
      List.of(
          FontSetting.tabularNum(),
          TypeScaleTokens.NUMERAL_EXTRA_SMALL_WEIGHT,
          TypeScaleTokens.NUMERAL_EXTRA_SMALL_WIDTH);

  public static final List<FontSetting> NUMERAL_LARGE_VARIATION_SETTINGS =
      List.of(
          FontSetting.tabularNum(),
          TypeScaleTokens.NUMERAL_LARGE_WEIGHT,
          TypeScaleTokens.NUMERAL_LARGE_WIDTH);

  public static final List<FontSetting> NUMERAL_MEDIUM_VARIATION_SETTINGS =
      List.of(
          FontSetting.tabularNum(),
          TypeScaleTokens.NUMERAL_MEDIUM_WEIGHT,
          TypeScaleTokens.NUMERAL_MEDIUM_WIDTH);

  public static final List<FontSetting> NUMERAL_SMALL_VARIATION_SETTINGS =
      List.of(
          FontSetting.tabularNum(),
          TypeScaleTokens.NUMERAL_SMALL_WEIGHT,
          TypeScaleTokens.NUMERAL_SMALL_WIDTH);

  public static final List<FontSetting> TITLE_LARGE_VARIATION_SETTINGS =
      List.of(TypeScaleTokens.TITLE_LARGE_WEIGHT, TypeScaleTokens.TITLE_LARGE_WIDTH);

  public static final List<FontSetting> TITLE_MEDIUM_VARIATION_SETTINGS =
      List.of(TypeScaleTokens.TITLE_MEDIUM_WEIGHT, TypeScaleTokens.TITLE_MEDIUM_WIDTH);

  public static final List<FontSetting> TITLE_SMALL_VARIATION_SETTINGS =
      List.of(TypeScaleTokens.TITLE_SMALL_WEIGHT, TypeScaleTokens.TITLE_SMALL_WIDTH);

  private VariableFontSettingsTokens() {}
}
